%define module 	mpi4py
%define name 	python-%{module}
%define version 1.3
%define release %mkrel 2

Summary: 	MPI for Python
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://mpi4py.googlecode.com/files/%{module}-%{version}.tar.gz
License: 	Public Domain
Group: 		Development/Python
Url: 		http://mpi4py.googlecode.com
Requires:	openmpi
BuildRequires:	python-devel
BuildRequires:	python-cython, openmpi, openmpi-devel, zlib-devel

%description
MPI for Python provides bindings of the Message Passing Interface
(MPI) standard for the Python programming language, allowing any
Python program to exploit multiple processors.

This package is constructed on top of the MPI-1/2 specifications and
provides an object oriented interface which closely follows MPI-2 C++
bindings. It supports point-to-point (sends, receives) and collective
(broadcasts, scatters, gathers) communications of any picklable Python
object, as well as optimized communications of Python object exposing
the single-segment buffer interface (NumPy arrays, builtin
bytes/string/array objects).

%package devel
Summary:	mpi4py headers
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description devel 
This package contains header files needed to develop modules in C or
Fortran that can interact with mpi4py.

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="-Wno-error=format-security" 
%__python setup.py build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}
rm -f %{buildroot}%{py_platsitedir}/mpi4py/mpi.cfg

%files
%doc test/ demo/ *.txt docs/usrman docs/apiref
%{py_platsitedir}/%{module}*
%exclude %{py_platsitedir}/%{module}/include/

%files devel
%{py_platsitedir}/%{module}/include/


%changelog

* Thu Jun 14 2012 eatdirt <eatdirt> 1.3-2.mga3
+ Revision: 260541
- Rebuild for new openmpi-1.6

* Thu Jun 14 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 260447
- update file list
- update file list

  + lebedov <lebedov>
    - Update to 1.3.

* Fri Jan 13 2012 eatdirt <eatdirt> 1.2.2-2.mga2
+ Revision: 195649
- Rebuild against openmpi-1.4.4

* Tue Sep 20 2011 lebedov <lebedov> 1.2.2-1.mga2
+ Revision: 146091
- imported package python-mpi4py

